# Push Dynamic library to server and distr
function Push-DLL {
    [CmdletBinding()]
    Param(
    [Parameter(Mandatory=$true)]
        [string] $dllName,
    [Parameter(Mandatory=$true)]
        [string] $dllPath,
        [bool] $pushServer = $true,
        [bool] $pushDistr = $true
    )

    . "$PSScriptRoot\Get-ServerDistr.ps1"
    . "$PSScriptRoot\Get-ExchangePath.ps1"
    
    if ($pushServer) {
        Copy-Item -Path "$dllPath\$dllName.dll" -Destination "$(Get-ServerDistr)\dll\"
    }
    if ($pushDistr) {
        Copy-Item -Path "$dllPath\$dllName.dll" -Destination "$(Get-ExchangePath)\ConceptDistr\dll\"
    }
}