$version = Get-Content VERSION

$config = @{ 
	'Path' = '.\ConceptDeploy\ConceptDeploy.psd1' 
	'Author' = 'IRBorisov'
	'CompanyName' = 'CIHT Concept'
	'ModuleVersion' = "$version"
	'RootModule' = 'ConceptDeploy.psm1'
	'FunctionsToExport' = @(
		'Install-PSLatest',
		'Initialize-Python', 'Install-PythonLibs',
		'Push-PythonPackage', 'Push-DLL', 'Expand-TarGZ',
		'Get-ExchangePath', 'Get-ProjectsPath', 'Get-ServerDistr', 'Get-ConceptLocal',
		'Save-DistrManifest', 'Open-DistrManifest',
		'Install-Product', 'Enable-Product', 'Disable-Product'
	)
	'CmdletsToExport' = @()
	'VariablesToExport' = ''
	'AliasesToExport' = @()
	'Description' = 'CIHT Concept tools deployment module'
}

New-ModuleManifest @config